/* DEFINIÇÃO DAS VARIAVEIS DE CORES */
:root{
    --primary-normal: #06121e;
    --primary-dark: #040f1a;
    --primary-light: #0c2135;
    
    --secondary-normal: #090d11;
    --secondary-dark: #06090c;
    --secondary-light: #1a1f25;
    
    --black-normal: #232224;
    --black-dark: #161617;
    --black-light: #353436;
    
    
    --white-normal: #FFF;
    --white-dark: #edeaef;
    --white-light: #fefbff;
    
    --red-normal: #d94140;
    --red-dark: #b42b2b;
    --red-light: #d34040;
}


* {
margin: 0;
padding: 0;
box-sizing: border-box;
outline: none;
}


.container{
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 8px ;
}


body{
font-family: "Sora", sans-serif;
width: 100%;
height: 100vh;
position: relative;

background-color: var(--primary-normal);
}

button{
    font-family: 'Sora', sans-serif;
    cursor: pointer;
  }
  
  svg{
    width: 100%;
  }
  
  img{
    width: 100%;
  }
  
  a{
    cursor:pointer; 
    text-decoration: none;
  }



/* BG HOME */
.bg-home{
    position: relative;
}

.bg-home::before{
   content: '';
   display: block;
   position: absolute; 
   background-image: linear-gradient(to bottom, rgba(6,18,30,0.1), #06121e), url("../assets/bg.svg");
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 0;
    opacity: 0.9;
}

/* HERO */

.hero{
    color: var(--white-normal);
    min-height: 80vh;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 14px;
}

.hero h1{
    text-align: center;
    line-height: 150%;
    max-width: 940px;
    font-size: 48px;
}

.hero p{
    text-align: center;
    margin: 14px 0;
}

.button-contact{
    padding: 14px 28px;
    color: var(--white-normal);
    background-color: var(--red-normal);
    border: 0;
    font-size: 18px;
    font-weight: 600;
    margin: 14px 0;
}

.button-contact:hover{
    animation: scaleButton 0.8s alternate infinite;
}

@keyframes scaleButton{
    from{
        transform: scale(1);
    }to{
        transform: scale(1.07);
    }
}

@media screen and (max-width: 768px){
    .hero{
        min-width: 40vh;
    }

    .hero h1{
        font-size: 38px;
        padding: 0 14px;
        width: 100%;
    }

    .hero p{
        font-size: 14px;

    }
}


@media screen and (max-width:480px){
    .hero h1{
        font-size: 24px;
    }
    .hero p{
        font-size: 12px;
    }
}


/* HEAD */

head{
    width: 100%;
}

.header-content{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

i{
    color: var(--white-normal);
}

.header-icons {
    display: flex;
    gap: 14px;
}

.header-icons a:hover i{
    animation: translateY 0.8s infinite alternate;
    color: var(--red-light);
}


@keyframes translateY{
    from{
        transform: translateY(0) scale(1);
    }
    to{
        transform: translateY(-8px) scale(1.1);
    }
}

.header-button{
    border: 1px solid var(--white-normal);
    padding: 8px 24px;
    border-radius: 4px;
    color: var(--white-normal);
    background-color: transparent;
    transition-duration: 0.8s;
}

.header-button a{
    color: var(--white-normal);
} 


.header-button:hover{
    border: 1px solid var(--red-light);
    background-color: var(--red-light);
}

.header-logo{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 14px;
}

/* MOBILE */

@media screen and (max-width: 768px) {
    .header-content{
        width: 100%;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .header-content i{
        margin-top: 16px;
        font-size: 34px;
    }

    .header-logo{
        width: 160px;
        margin-top: 46px;
    }

    .header-button{
        display: none;
    }
}


/* About ***********************/
.about{
    background-color: var(--primary-normal);
    overflow: hidden;
    color: var(--white-normal);
}

.about-content{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 14px;

    padding: 34px 14px 64px 14px;
}

.about-content img{
    max-width: 570px;
}

.about-content div{
    flex: 1;
}

.about-description h2{
    font-size: 38px;
    margin-bottom: 24px;
}


.about-description p{
    margin-bottom: 14px;
    line-height: 150%;
}

@media screen and (max-width:768px) {
    .about-content{
        flex-direction: column ;
    }
}


/*SERVICES**/

.services{
    background-color: var(--white-normal);
    color: var(--black-normal);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 54px 14px;
}

.services-content h2{
    text-transform: uppercase;
    text-align: center;
    font-size: 38px;
    margin-bottom: 14px;
}

.services-content p{
    line-height: 150%;
    margin-bottom: 14px;
    text-align: center;
    max-width: 780px;
}

.haircuts{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    padding: 0 44px 34px 44px;
}

.haircut{
    flex: 1;
    display: flex;
    flex-direction: column;
    background-color: var(--white-normal);
    border-radius: 8px;
    box-shadow: 0px -1px 17px -4px rgba(0, 0, 0,0.5);
    overflow: hidden;
}

.haircut img{
    width: 100%;
    max-width: 354px;
    transition: transform 0.2s;

}

.haircut img:hover{
    transform: scale(1.2);
    z-index: 1;
}

.haircut-info{
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 14px;
    background-color: var(--white-normal);
    z-index: 99;
}


.haircut-info button{
    color: var(--white-normal);
    background-color: var(--red-normal);
    padding: 4px 8px;
    border-radius: 4px;
    border: 0;
    cursor: default;
}

@media screen and (max-width: 768px){
    .haircuts{
        flex-direction: column;
    }

    .haircuts{
        max-width: 740px;
    }
}


/*Footer*/

.footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 54px 0;
    gap: 24px;
    color: var(--white-normal);
}

.footer-icons{
    display: flex;
    gap: 8px;
    color: var(--white-normal);
}

/* Button Whats */

.btn-whatssapp{
    position: fixed;
    bottom: 14px;
    right: 24px;
    z-index: 99;
}

.btn-whatssapp img{
    max-width: 74px;
    transition: transform 0.4s;
}

.btn-whatssapp img:hover{
    transform: scale(1.1);
}

.btn-whatssapp .tooltip-text{
    visibility: hidden;
    position: absolute;
    width: 120px;
    top: 8px;
    left: -144px;
    padding:  4px;
    border-radius: 8px;
    text-align: center;
    background-color: var(--black-normal);
    color: var(--white-normal);
    opacity: 0;
    transition: opacity 0.4s;
}

.btn-whatssapp:hover .tooltip-text{
    visibility: visible;
    opacity: 1;
}

@media screen and (max-width:768px){
    .btn-whatssapp{
        max-width: 64px;
    }
}